﻿Public Class Form1

  Private WithEvents WPFMAP As ThinkGeo.MapSuite.WpfDesktopEdition.WpfMap

  Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
    init()
  End Sub

  Private Sub init()

    WPFMAP = CtlWPFMap1.WpfMap1

    CtlWPFMap1.WpfMap1.MapUnit = ThinkGeo.MapSuite.Core.GeographyUnit.Meter

    Dim oBingLayer As New ThinkGeo.MapSuite.Core.BingMapsLayer("")
    oBingLayer.CacheDirectory = Nothing
    Dim oLayerOverlay As New ThinkGeo.MapSuite.WpfDesktopEdition.LayerOverlay
    oLayerOverlay.TileCache = Nothing
    oLayerOverlay.TileType = ThinkGeo.MapSuite.WpfDesktopEdition.TileType.MultipleTile
    oLayerOverlay.Layers.Add(oBingLayer)

    Dim oShapeFileLayer As New ThinkGeo.MapSuite.Core.ShapeFileFeatureLayer(System.IO.Path.Combine(System.Environment.CurrentDirectory, "Karten\alk-flurstueck-objekt.shp"))

    Dim oProj As New ThinkGeo.MapSuite.Core.ManagedProj4Projection()
    oProj.InternalProjectionParametersString = ThinkGeo.MapSuite.Core.ManagedProj4Projection.GetEpsgParametersString(31467)
    oProj.ExternalProjectionParametersString = ThinkGeo.MapSuite.Core.ManagedProj4Projection.GetBingMapParametersString + " +nadgrids=@null"
    'oProj.ExternalProjectionParametersString = "+proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m +nadgrids=@null +no_defs"
    oProj.Open()
    oShapeFileLayer.FeatureSource.Projection = oProj
    oShapeFileLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = ThinkGeo.MapSuite.Core.AreaStyles.CreateSimpleAreaStyle(ThinkGeo.MapSuite.Core.GeoColor.SimpleColors.Transparent, ThinkGeo.MapSuite.Core.GeoColor.SimpleColors.DarkBlue, 1)
    oShapeFileLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ThinkGeo.MapSuite.Core.ApplyUntilZoomLevel.Level20

    Dim oLayerOverlay2 As New ThinkGeo.MapSuite.WpfDesktopEdition.LayerOverlay
    oLayerOverlay2.TileCache = Nothing
    oLayerOverlay2.Layers.Add(oShapeFileLayer)
    oLayerOverlay2.TileType = ThinkGeo.MapSuite.WpfDesktopEdition.TileType.MultipleTile

    CtlWPFMap1.WpfMap1.MapUnit = ThinkGeo.MapSuite.Core.GeographyUnit.Meter

    CtlWPFMap1.WpfMap1.Overlays.Add(oLayerOverlay)
    CtlWPFMap1.WpfMap1.Overlays.Add(oLayerOverlay2)
    oShapeFileLayer.Open()

    CtlWPFMap1.WpfMap1.CurrentExtent = New ThinkGeo.MapSuite.Core.RectangleShape("POLYGON((934648.203638525 6273869.82935234,940759.099560311 6273869.82935234,940759.099560311 6262785.35823625,934648.203638525 6262785.35823625,934648.203638525 6273869.82935234))") ' oShapeFileLayer.GetBoundingBox
    CtlWPFMap1.WpfMap1.Refresh()

  End Sub

  Private Sub WPFMAP_CurrentScaleChanged(ByVal sender As Object, ByVal e As ThinkGeo.MapSuite.WpfDesktopEdition.CurrentScaleChangedWpfMapEventArgs) Handles WPFMAP.CurrentScaleChanged
    Me.Text = "Scale: " + e.CurrentScale.ToString
  End Sub

End Class
